---
sourceDocument: Brazil API Reference
sourceDocumentLink: https://www.servicenow.com/docs/r/api-reference

 Release :

    - brazil

ft:locale :

    - en-US

ft:publication_title :

    - Brazil API Reference

ft:clusterId :

    - crapiref

bundleId :

    - crapiref

workflow :

    - Creator


---

# Product Order Open API

# Product Order Open API {#ariaid-title1}

Release version: Brazil  
Updated September 10, 2026  
![](https://www.servicenow.com/docs/portal-asset/ico-clock) 314 minutes to read  
The Product Order Open API provides endpoints that enable a standardized mechanism for placing product orders.
A product order is created based on a product offering that is defined and published in a product
catalog. The product offering identifies the product or set of products that are available to a customer and includes the relevant product characteristics that capture the unique options of a product, and other relevant
attributes such as pricing, contract terms, and availability.

To access this API, the Order Management for Telecommunications (sn_ind_tmt_orm) plugin must be activated. For more information, see [Install Order Management](https://www.servicenow.com/docs/access?context=order-mgt-install-providers&version=brazil&pubname=brazil-order-management&ft:locale=en-US). For information about Order Management tables and roles, see [Components installed with Order Management](https://www.servicenow.com/docs/access?context=components-installed-with-order-management&version=brazil&pubname=brazil-order-management&ft:locale=en-US).

This API is provided within the `sn_ind_tmt_orm` namespace.

The calling user must have the sn_ind_tmt_orm.order_integrator role.

This API can be extended to make customizations around required parameters, request body validation, additional REST operations, and field mappings. For more information, see the [Product Order Open API Developer Guide](https://www.servicenow.com/docs/4Kv4fra0fGfjWES85~VBew#product-order_dev-guide "Use the Product Order Open API to create, update, and retrieve product order information.").

The Product Order Open API is a ServiceNow® implementation of the TM Forum Product Ordering Management API Specification. This implementation is based on the [TMF622 Product Ordering Management API User Guide v5.0.0](https://www.tmforum.org/resources/specifications/tmf622-product-ordering-management-api-user-guide-v5-0-0/), September 2024. The Product Order Open API is conformance certified by TM Forum.

## Version 3.0 updates {#tmf622_product_ordering-api__section_wwz_5yr_hkc}

The Product Order POST endpoint now supports creation of account, consumer, contact, location, billing accounts and payment profiles, and inline creation of related party entities within order requests. See [Product Order Open API - POST /sn_ind_tmt_orm/order/productOrder](https://www.servicenow.com/docs/IVFs4Ak4R7ApMei_YNZJqw#tmf_prod_order-POST-ord-productOrder "Creates the specified customer order and customer order line items.") for more details. These features are available with version 3.0 and newer releases.

The relatedParty field's structure changed between V2 and V3. See endpoints for a side-by-side comparison.  
Note:  
This API's productCharacteristic.valueType field always returns the backend value (for example, `choice`) and is unaffected by the [Product Inventory Open API](https://www.servicenow.com/docs/Xw1Qz2E3pgZTMWARHEBwAw#product-inventory-open-api "The Product Inventory Open API provides endpoints to create and retrieve product inventories.")'s sn_prd_invt.enableseamlessvaluetype system property, which lets that API match this format.

## Product Order Open API - GET /sn_ind_tmt_orm/order/productOrder {#ariaid-title2}

Retrieves all product orders.
This endpoint retrieves order information from the following tables:

* Customer Order \[sn_ind_tmt_orm_order\]
* Order Line Item \[sn_ind_tmt_orm_order_line_item\]
* Order Characteristic \[sn_ind_tmt_orm_order_characteristic_value\]
* Order Line Item Contact \[sn_ind_tmt_orm_order_line_item_contact\]
* Order Line Related Items \[sn_ind_tmt_orm_order_line_related_items\]
{#tmf_prod_order-GET-ord-productOrder__ul_lxc_kxm_t4b}

### v3 updates for GET/LIST operations {#tmf_prod_order-GET-ord-productOrder__v3-updates}

When you retrieve product orders using GET or LIST operations in TMF 622 V3, the response now includes
payment profile details and billing account information for each order line item. These new fields provide complete visibility into the payment methods and billing relationships associated with your orders, enabling you to manage
billing, fulfillment, and reconciliation processes with comprehensive order data in a single API call.

### URL format {#tmf_prod_order-GET-ord-productOrder__section_mbm_2ct_t4b}

Default URL:
/api/sn_ind_tmt_orm/order/productOrder

### Supported request parameters

{#tmf_prod_order-GET-ord-productOrder__table_ofr_vgy_fsb__entry__2}{#tmf_prod_order-GET-ord-productOrder__version-not_optional-RESTAPI}

| Name | Description |
|-|-|
| api_version | Optional. Version of the endpoint to access. For example, <kbd class="ph userinput">v1</kbd> or <kbd class="ph userinput">v2</kbd>. Only specify this value to use an endpoint version other than the latest. Data type: String |
[Table 1. Path parameters]

{#tmf_prod_order-GET-ord-productOrder__table_ofr_vgy_fsb} {#tmf_prod_order-GET-ord-productOrder__table_pfr_vgy_fsb__entry__2}

| Name | Description |
|-|-|
| account | Filter product orders by the associated account. Use this to retrieve all orders for a specific customer account or business unit. Data type: String |
| consumer (relatedParty) | Filter product orders by the consumer or end-user. Use this to retrieve orders for a specific consumer within a customer account, useful in multi-party or wholesale scenarios. Data type: String |
| contact | Filter product orders by an associated contact. Use this to find all orders linked to a specific person (like order coordinator, and billing contact). Data type: String |
| externalId | Filter product orders by external identifier. Use this to locate orders using identifiers from external systems or legacy integrations (like legacy order numbers, or third-party reference IDs). Data type: String |
| fields | List of fields to return in the response. Invalid fields are ignored. Data type: String Default: All fields returned. |
| limit | Maximum number of records to return. For requests that exceed this number of records, use the offset parameter to paginate record retrieval. Data type: Number Default: 20 Maximum: 100 |
| offset | Starting index at which to begin retrieving records. Use this value to paginate record retrieval. This functionality enables the retrieval of all records, regardless of the number of records, in small manageable chunks. Data type: Number Default: 0 |
| state | Filter orders by state. Only orders with a state matching the value of this parameter are returned in the response. Data type: String Default: Don't order by state. |
[Table 2. Query parameters]

{#tmf_prod_order-GET-ord-productOrder__table_pfr_vgy_fsb} {#tmf_prod_order-GET-ord-productOrder__table_xcm_cvr_nsb__entry__2}

| Name | Description |
|-|-|
| None |   |
[Table 3. Request body parameters (JSON)]

{#tmf_prod_order-GET-ord-productOrder__table_xcm_cvr_nsb}

### Headers

The following request and response headers apply to this HTTP
action only, or apply to this action in a distinct way. For a list of general headers used
in the REST API, see [Supported REST API headers](https://www.servicenow.com/docs/TSHwMH5MZNTdV2wXSUhSiw "REST (REpresentational State Transfer) is a simple stateless architecture that provides standards between computer systems on the web, making it easier for them to communicate with each other.").
{#tmf_prod_order-GET-ord-productOrder__table_kqy_wgy_fsb__entry__2}

| Header | Description |
|-|-|
| None |   |
[Table 4. Request headers]

{#tmf_prod_order-GET-ord-productOrder__table_kqy_wgy_fsb} {#tmf_prod_order-GET-ord-productOrder__table_h4r_fxr_nsb__entry__2}{#tmf_prod_order-GET-ord-productOrder__content-range-row}{#tmf_prod_order-GET-ord-productOrder__content-type-row}{#tmf_prod_order-GET-ord-productOrder__links-pagination-row}{#tmf_prod_order-GET-ord-productOrder__x-total-count-descr}

| Header | Description |
|-|-|
| Content-Range | Range of content returned in a paginated call. For example, if `offset=2` and `limit=3`, the value of the Content-Range header is `items 3-5`. |
| Content-Type | Data format of the response body. Only supports application/json. |
| Link | Contains the following links to navigate through query results. * first * last * next * previous {#tmf_prod_order-GET-ord-productOrder__ul_zzk_sdm_lsb} |
| X-Total-Count | For paginated queries, this header specifies the total number of records available on the server. |
[Table 5. Response headers]

{#tmf_prod_order-GET-ord-productOrder__table_h4r_fxr_nsb}

### Status codes

The following status codes apply to this HTTP action. For a
list of possible status codes used in the REST API, see [REST API HTTP response
codes](https://www.servicenow.com/docs/TSHwMH5MZNTdV2wXSUhSiw "REST (REpresentational State Transfer) is a simple stateless architecture that provides standards between computer systems on the web, making it easier for them to communicate with each other.").
{#tmf_prod_order-GET-ord-productOrder__table_wdl_3xr_nsb__entry__2}{#tmf_prod_order-GET-ord-productOrder__tmf-get-status-200-p}{#tmf_prod_order-GET-ord-productOrder__tmf-get-status-206-entry}{#tmf_prod_order-GET-ord-productOrder__tmf-get-status-400-entry}{#tmf_prod_order-GET-ord-productOrder__tmf-get-status-404-entry}

| Status code | Description |
|-|-|
| 200 | Request successfully processed. Full resource returned in response (no pagination). |
| 206 | Partial resource returned in response (with pagination). |
| 400 | Bad request. Possible reasons: * Invalid path parameter * Invalid URI {#tmf_prod_order-GET-ord-productOrder__ul_rys_1gy_fsb} |
| 404 | Record not found. No records matching the query parameters are found in the table. |
[Table 6. Status codes]

{#tmf_prod_order-GET-ord-productOrder__table_wdl_3xr_nsb}

### Response body parameters (JSON) {#tmf_prod_order-GET-ord-productOrder__section_qrd_pwv_3kc}

{#tmf_prod_order-GET-ord-productOrder__POST-GET-response-table__entry__2}

| Name | Description |
|-|-|
| @type | Part of TMF Open API standard. Annotation for the product. This value is always <kbd class="ph userinput">ProductOrder</kbd>. This information is not stored. Data type: String |
| channel | List of channels to use for selling the products. Stored in: sn_ind_tmt_orm_order Data type: Array of Objects "channel": [ { "id": "String", "name": "String" } ] |
| channel.id | Required. Unique identifier of the channel to use to sell the associated products. Data type: String Stored in: The channel field of the sn_ind_tmt_orm_order table. |
| channel.name | Name of the channel to use to sell the associated products. Possible channel names are defined on the list tab in the Channel Dictionary Entry of the sn_ind_tmt_orm_order table. Data type: String |
| committedDueDate | Date and time when the action must be performed on the order. Stored in: committed_due_date field of the sn_ind_tmt_orm_order table. Format: ISO 8601 (Example: 2021-05-02T08:13:59.506Z) Data type: String |
| externalId | External identifier for the customer order, such as a purchase order number. This value is determined by an external system. Stored in: external_id field of the sn_ind_tmt_orm_order table. Data type: String |
| externalSystem | External system identifier that originated the order request, appended with `TMF622`. Data Type: String |
| href | Relative link to the resource record. Data type: String |
| note | Additional notes made by the customer when ordering. Stored in: sn_ind_tmt_orm_order Data type: Array of Objects "note": [ { "text": "String" } ] |
| note.text | Additional notes/comments made by the customer while ordering. Stored in: The comments field of the sn_ind_tmt_orm_order table. Data type: String |
| orderCurrency | Currency code for the order and order line items. Data type: String |
| orderDate | Date and time when the order was created. Data type: String Format: ISO 8601 (Example: 2021-05-02T08:13:59.506Z) |
| orderId | Sys_id of the order. Stored in the Inbound Queue \[sn_tmt_core_inbound_queue\] table on a schedule to be processed. Data type: String |
| productOrderItem | Items associated with the product order and their associated action. Data type: Array of Objects "productOrderItem": [ { "action": "String", "actionReason": "String", "billingAccount": {Object}, "committedDueDate": "String", "externalProductInventory": [Array], "id": "String", "itemPrice": [Array], "payment": {Object}, "product": {Object}, "productOffering": {Object}, "productOrderItemRelationship": [Array], "quantity": Number, "@type": "String" } ] Stored in: Order Line Item \[sn_ind_tmt_orm_order_line_item\] |
| productOrderItem.@type | Part of TMF Open API standard. Annotation for the product. This value is always <kbd class="ph userinput">ProductOrderItem</kbd>. This information is not stored. Data type: String |
| productOrderItem.action | Required. Action to carry out on the product. Possible actions are defined on the list tab in the Action Dictionary Entry of the sn_ind_tmt_orm_order_line_item table. Possible values: * add * change Note: Submitting a change payload that includes a new service location via productOrderItem.product.place.id is processed as a move order. * delete * no-change * resume * suspend {#tmf_prod_order-GET-ord-productOrder__ul_dd3_m3v_3kc} Data type: String Stored in: The action field of the Order Line Item \[sn_ind_tmt_orm_order_line_item\] table. |
| productOrderItem.actionReason | Optional. Description of the reason for the order line item. Data type: String Stored in: The action_reason field of the Order Line Item \[sn_ind_tmt_orm_order_line_item\] table. |
| productOrderItem.billingAccount | Required. Identifies the billing account and determines how the account is processed. * When an existing billing account ID is passed, the API returns just the matching account's sys_id and type. * When a billing account ID is passed that doesn't match an existing record, the API creates a new billing account with the provided ID as the external_id. The object includes conditional attributes associated with the new record. {#tmf_prod_order-GET-ord-productOrder__ul_ed3_m3v_3kc} Data type: Object Example reference structure: "billingAccount": { "id": "sys_id_billing_account_456", "@type": "BillingAccountRef" } Example creation structure: "billingAccount": { "id": "billingID", "name": "Project 1234 Billing", "@type": "BillingAccountRef", "status": "Active", "active": true } |
| productOrderItem.billingAccount.@type | Conditional, required only for account creation. Must always be `BillingAccountRef`. This indicates that the object is a reference to a billing account record. Data type: String |
| productOrderItem.billingAccount.active | Conditional, required only for account creation. Flag that indicates whether the billing account is active. This field is used when creating a new billing account, and is ignored when referencing an existing billing account. Valid values: * true: Billing account is active. * false: Billing account isn't active. {#tmf_prod_order-GET-ord-productOrder__ul_fd3_m3v_3kc} Default: If not provided during creation, the system uses the default active value configured in your instance |
| productOrderItem.billingAccount.id | Required. Sys_id or external_id of the billing account to reference or create inline. Data type: String |
| productOrderItem.billingAccount.name | Conditional, required only for account creation. Display name of the billing account. This field is used when creating a new billing account. If not provided during creation, the system uses a default name pattern. This field is ignored when referencing an existing billing account. Example: "Main Office Billing", "Project 2024 Billing" Data type: String |
| productOrderItem.billingAccount.status | Conditional, required only for account creation. The status of the billing account. This field is used when creating a new billing account. Valid values depend on your instance configuration. If not provided during creation, the system uses the default status value configured in your instance. This field is ignored when referencing an existing billing account. Example: "Active", "Inactive", "Suspended" Data type: String |
| productOrderItem.committedDueDate | Optional. Date and time when the action must be performed on the order line item. Data type: String Format: ISO 8601 (Example: 2021-05-02T08:13:59.506Z) Stored in: The committed_due_date field of the Order Line Item \[sn_ind_tmt_orm_order_line_item\] table. |
| productOrderItem.externalProductInventory.externalProductInventoryId | External ID to map to the product inventory. Data type: String Stored in: The external_inventory_id field of the Order Line Item \[sn_ind_tmt_orm_order_line_item\] table and the sn_prd_invt_external_id field of the sn_prd_invt_product_inventory table. |
| productOrderItem.externalProductInventory | Conditional. If supplied, each entry requires externalProductInventoryId. External IDs to map to the product inventories created for the order. Data type: Array of Objects "externalProductInventory": [ { "externalProductInventoryId": "String" } ] |
| productOrderItem.id | Required. Unique identifier of the line item. Data type: String Stored in: The external_id field of the Order Line Item \[sn_ind_tmt_orm_order_line_item\] table. Maximum length: 40 Default: empty string |
| productOrderItem.itemPrice | Price associated with the product. Data type: Array of Objects "itemPrice": [ { "price": {Object}, "priceType": "String", "recurringChargePeriod": "String" } ] Stored in: sn_ind_tmt_orm_order Default: empty string |
| productOrderItem.itemPrice.price | Description of the price of the associated product. Data type: Object "price": { "taxIncludedAmount": {Object} } Stored in: Order Line Item \[sn_ind_tmt_orm_order_line_item\] Default: empty string |
| productOrderItem.itemPrice.price.taxIncludedAmount | Description of the price of the associated product, including the tax. Data type: Object "taxIncludedAmount": { "unit": "String", "value": Number } Stored in: Order Line Item \[sn_ind_tmt_orm_order_line_item\] |
| productOrderItem.itemPrice.price.taxIncludedAmount.unit | Currency code in which the price is expressed. Data type: String Stored in: The mrc or nrc field of the Order Line Item \[sn_ind_tmt_orm_order_line_item\] table |
| productOrderItem.itemPrice.price.taxIncludedAmount.value | Price of product, including any tax. Data type: Number Stored in: The mrc or nrc field of the Order Line Item \[sn_ind_tmt_orm_order_line_item\] table |
| productOrderItem.itemPrice.priceType | Specifies whether the price of the item is recurring or non-recurring. Data type: String |
| productOrderItem.itemPrice.recurringChargePeriod | If the price is recurring, the recurring period, such as month. Data type: String |
| productOrderItem.payment | Required. Identifies the payment profile. * If the passed profile ID already exists, the API returns just the matching payment profile's sys_Id. * If the passed ID doesn't already exist, the API returns the new payment profile's sys_id and associated attributes. {#tmf_prod_order-GET-ord-productOrder__ul_gd3_m3v_3kc} Data type: Object Reference structure: "payment": { "id": "String" } Creation structure: "payment": { "id": "String", "paymentMethod": "String", "paymentMethodType": "String", "paymentReferenceId": "String" } See the 'Examples' section for POST requests demonstrating both reference and creation patterns. |
| productOrderItem.payment.id | Sys_id or external_id of an existing payment profile record. Data type: String |
| productOrderItem.payment.paymentMethod | Returned only for profile creation. A choice field representing the payment method category. This field is validated against configured payment method choices in your instance. This field is ignored when referencing an existing profile. Example: "Credit Card", "Bank Transfer", "Check", "Digital Wallet" Data type: String |
| productOrderItem.payment.paymentMethodType | Returned only for profile creation. A choice field representing the specific payment method type. Example: Visa", "MasterCard", "American Express" for credit cards; "ACH" or "Wire" for bank transfers Data type: String |
| productOrderItem.payment.paymentReferenceId | Returned only for profile creation. An external reference identifier for the payment profile. Example: "REF-2024-001", "CARD-XXXX-5678" Data type: String |
| productOrderItem.product | Instance details of the product purchased by the customer. Stored in: Order Line Item \[sn_ind_tmt_orm_order_line_item\] Data type: Object "product": { "id": "String", "place": {Object}, "productCharacteristic": [Array], "productSpecification": {Object}, "relatedParty": {Object}, "@type": "String" } |
| productOrderItem.product.@type | Part of TMF Open API standard. Annotation for the product. This value is always <kbd class="ph userinput">Product</kbd>. Data type: String |
| productOrderItem.product.id | Unique identifier of the product sold. Data type: String Table: In the sys_id or sn_ind_tmt_orm_external_id field of the Product Inventory \[sn_ind_tmt_orm_product_inventory\] table. |
| productOrderItem.product.place | Maps of the locations on which to install the product. Data type: Object "place": { "id": "String", "@type": "String" } Stored in: Order Line Item \[sn_ind_tmt_orm_order_line_item\] |
| productOrderItem.product.place.@type | Part of TMF Open API standard. Annotation for order line item contact. This value is always <kbd class="ph userinput">Place</kbd>. Data type: String |
| productOrderItem.product.place.id | Required. Sys_id of the associated location record. Data type: String Table: Location \[cmn_location\] Stored in: The location field of the Order Line Item \[sn_ind_tmt_orm_order_line_item\] table. |
| productOrderItem.product.productCharacteristic | Characteristics of the associated product. Stored in: sn_ind_tmt_orm_order_characteristic_value Data type: Array of Objects "productCharacteristic": [ { "name": "String", "previousValue": "String", "value": "String", "valueType": "String" } ] |
| productOrderItem.product.productCharacteristic.name | Name of the characteristic record to associated with the product. Data type: String Table: Characteristic \[sn_prd_pm_characteristic\] Stored in: The characteristics field of the sn_ind_tmt_orm_order_characteristic_value table. |
| productOrderItem.product.productCharacteristic.previousValue | Previous characteristic option values if the update is for change order. The request is a change order if the productOrderItem.action parameter is other than <kbd class="ph userinput">add</kbd>. For additional information on characteristic option values, see [Create product characteristics and characteristic options](https://www.servicenow.com/docs/access?context=som-product-config-add-characteristics&version=brazil&pubname=brazil-order-management&ft:locale=en-US). Data type: String Stored in: The previous_characteristic_option_value field of the sn_ind_tmt_orm_order_characteristic_value table. Default: empty string |
| productOrderItem.product.productCharacteristic.value | Characteristic option values associated with the product. For additional information on characteristic option values, see [Create product characteristics and characteristic options](https://www.servicenow.com/docs/access?context=som-product-config-add-characteristics&version=brazil&pubname=brazil-order-management&ft:locale=en-US). Data type: String Stored in: The characteristic_option_value field of the sn_ind_tmt_orm_order_characteristic_value table. Default: empty string |
| productOrderItem.product.productCharacteristic.valueType | Type of characteristic value. Accepted values: * `address` * `array.date` * `array.datetime` * `array.decimal` * `array.integer` * `array.object` * `array.single_line_text` * `attachment` * `checkbox` * `choice` * `date` * `date_time` * `decimal` * `duration` * `email` * `integer` * `object` * `single_line_text` * `yes_no` {#tmf_prod_order-GET-ord-productOrder__ul_ry4_4zj_jkc} Data type: String |
| productOrderItem.product.productSpecification | Description of the product specification associated with the product. Note: Change orders (productOrderItem.action is `change`) are processed differently based on the value of the sn_ind_tmt_orm.allowSpecVersionUpdateInChangeOrder system property. The value of this system property determines how the order is processed if the product inventory is a different version than indicated in the order. * true: Product inventory is automatically upgraded to the version in the order by changing the referenced product specification. This allows the order to be successfully processed. * false: If the product inventory is a different version than indicated in the order, the order fails due to the version mismatch. {#tmf_prod_order-GET-ord-productOrder__ul_id3_m3v_3kc} Data type: Object "productSpecification": { "id": "String", "internalVersion": "String", "name": "String", "version": "String", "@type": "String" } Stored in: sn_ind_tmt_orm_order_line_item |
| productOrderItem.product.productSpecification.@type | Part of the TMF Open API standard. This value is always <kbd class="ph userinput">ProductSpecificationRef</kbd>. This information is not stored. Data type: String |
| productOrderItem.product.productSpecification.id | Required. Initial version or external ID of the product specification. The initial version is the sys_id of the first version of the specification. Data type: String Table: Product Specification \[sn_prd_pm_product_specification\] |
| productOrderItem.product.productSpecification.internalVersion | Internal version of the service specification. Must match the value of version otherwise an error is thrown. Data Type: String Table: In the version field of the Product Specification \[sn_prd_pm_product_specification\] table. |
| productOrderItem.product.productSpecification.name | Name of the product specification. Data type: String Table: Product Specification \[sn_prd_pm_product_specification\] |
| productOrderItem.product.productSpecification.version | External version of the service specification. Must match the value of internalVersion otherwise an error is thrown. Data Type: String Table: In the external_version field of the Product Specification \[sn_prd_pm_product_specification\] table. |
| productOrderItem.product.relatedParty | List of party roles linked to an OrderLineItemContact. Data type: Array of Objects "relatedParty": [ { "email": "String", "firstName": "String", "lastName": "String", "phone": "String", "@referredType": "String", "@type": "String" } ] Stored in: sn_ind_tmt_orm_order_line_item_contact |
| productOrderItem.product.relatedParty.@referredType | Required. Type of customer. Possible value: OrderLineItemContact Data type: String |
| productOrderItem.product.relatedParty.@type | Part of TMF Open API standard. Annotation for order line item contact. This value is always <kbd class="ph userinput">RelatedParty</kbd>. This information is not stored. Data type: String |
| productOrderItem.product.relatedParty.email | Email address of the contact. Data type: String Stored in: The email field of the sn_ind_tmt_orm_order_line_item_contact table. Default: empty string |
| productOrderItem.product.relatedParty.firstName | First name of the contact. Data type: String Stored in: The first_name field of the sn_ind_tmt_orm_order_line_item_contact table. Default: empty string |
| productOrderItem.product.relatedParty.lastName | Last name of the contact. Data type: String Stored in: The lastName field of the sn_ind_tmt_orm_order_line_item_contact table. Default: empty string |
| productOrderItem.product.relatedParty.phone | Business phone number of the contact. Data type: String Stored in: The business_phone field of the sn_ind_tmt_orm_order_line_item_contact table. Default: empty string |
| productOrderItem.productOffering | Required. Description of the product offering associated with the product. Data type: Object "productOffering": { "id": "String", "internalVersion": "String", "name": "String", "version": "String" } Stored in: sn_ind_tmt_orm_order_line_item |
| productOrderItem.productOffering.id | Required. Initial version or external ID of the product offering. The initial version is the sys_id of the first version of the offering. Data type: String Table: Product Offering \[sn_prd_pm_product_offering\] |
| productOrderItem.productOffering.internalVersion | Version of the product offering. Data type: String Table: In the version field of the Product Offering \[sn_prd_pm_product_offering\] table. |
| productOrderItem.productOffering.name | Name of the product offering. Data type: String Table: Product Offering \[sn_prd_pm_product_offering\] |
| productOrderItem.productOffering.version | External version of the product offering. Data type: String Table: In the external_version field of the Product Offering \[sn_prd_pm_product_offering\] table. |
| productOrderItem.productOrderItem.quantity | Number of the associated items to order. Data type: Number Stored in: The quantity field of the sn_ind_tmt_orm_order table. Default: null |
| productOrderItem.productOrderItemRelationship | List that describes the parent/child relationship between order items. Data type: Array of Objects "productOrderItemRelationship": [ { "id": "String", "relationshipType": "String" } ] Stored in: sn_ind_tmt_orm_order_line_item |
| productOrderItem.productOrderItemRelationship.id | Same as the productOrderItem.id value. Used for parent/child relationship Data type: String Stored in: The parent_line_item field of the sn_ind_tmt_orm_order_line_item table. Default: empty string |
| productOrderItem.productOrderItemRelationship.relationshipType | Type of relationship between the two line items. This information is used to identify relationship hierarchy. Possible values: * HasChild * HasParent {#tmf_prod_order-GET-ord-productOrder__ul_jd3_m3v_3kc} Data type: String |
| productOrderItem.quantity | Number of items ordered. Data type: Number Stored in: The quantity field of the sn_ind_tmt_orm_order table. Default: empty string |
| relatedParty | List of contacts for the order containing customer account or consumer account information. Supports reference and inline creation patterns (Account, Contact, Location). Data type: Array of Objects "relatedParty": [ { "role": "String", "@type": "String", "partyOrPartyRole": {Object} } ] |
| realtedParty.role | Business role that the referenced party plays in the order context. Matches the relatedParty.@type value. Possible values: * Account * Contact * Customer * Location {#tmf_prod_order-GET-ord-productOrder__ul_tdb_blv_3kc} Data type: String |
| relatedParty.@type | Record type of the party. Matches the relatedParty.role value. Data type: String |
| relatedParty.partyOrPartyRole | Object containing the specific reference details about the party. * If the passed ID already exists, the API returns just the @type and id fields of the matching party. * If the passed ID doesn't already exist, the API returns a the new Account, Contact, or Location ID with its conditional attributes, which vary based on the @type value. {#tmf_prod_order-GET-ord-productOrder__ul_mwh_zy3_jkc} Data type: Object Reference pattern: "partyOrPartyRole": { "@type": "PartyRef", "id": "String" } Account creation: "partyOrPartyRole": { "@type": "PartyRef", "id": "String", "accountNumber": "String", "status": "String" } Contact creation: "partyOrPartyRole": { "@type": "PartyRef", "id": "String", "firstName": "String", "lastName": "String", "email": "String" } Location creation: "partyOrPartyRole": { "@type": "PartyRef", "id": "String", "name": "String", "address": "String", "city": "String", "postalCode": "String", "country": "String" } |
| relatedParty.partyOrPartyRole.@type | Indicates the type of reference being provided. Value is always `PartyRef`. Data type: String |
| relatedParty.partyOrPartyRole.accountNumber | Returned for Account party types. External reference number or identifier for the Account. Data type: String |
| relatedParty.partyOrPartyRole.address | Returned for Location party types. Street address of the location. Example: "123 Main Street" Data type: String |
| relatedParty.partyOrPartyRole.city | Returned for Location party types. City or municipality name for the location. Example: "San Francisco", "New York" Data type: String |
| relatedParty.partyOrPartyRole.country | Returned for Location party types. Country where the location is physically situated or where the contact is based. Data type: String |
| relatedParty.partyOrPartyRole.email | Returned for Contact party types. Contact person's primary email address. Data type: String |
| relatedParty.partyOrPartyRole.firstName | Returned for Contact party types. Contact person's first name or given name. Data type: String |
| relatedParty.partyOrPartyRole.id | Sys_id or external_id of the party record. Data type: String Table: Account \[customer_account\], Contact \[customer_contact\] table, or Location \[location\] |
| relatedParty.partyOrPartyRole.lastName | Returned for Contact party types. Contact person's last name or given name. Data type: String |
| relatedParty.partyOrPartyRole.name | Returned for Account, Contact, and Location types. Name of the account, contact, or location. Data type: String |
| relatedParty.partyOrPartyRole.postalCode | Required for Location party types. Postal code, ZIP code, or PIN code for the location. Data type: String |
| relatedParty.partyOrPartyRole.status | Returned for Account party types. Current status of the account. Possible values for the status field depend on how your instance is configured. Common values include: * `Active`: Account is in normal operation * `Inactive`: Account is not currently conducting business * `Suspended`: Account is temporarily restricted * `Pending`: Account is awaiting activation * `Archived`: Historical accounts * `Under Review`: Account is being evaluated {#tmf_prod_order-GET-ord-productOrder__ul_ld3_m3v_3kc} Data type: String |
| relatedParty.role | Business role that the referenced party plays in the order context. Matches the relatedParty.@type value. Possible values: * `Account`: parties representing a customer or business entity * `Contact`: parties representing a contact person * `Customer`: parties representing an end consumer or individual * `Location`: parties representing a service address or fulfillment location {#tmf_prod_order-GET-ord-productOrder__ul_md3_m3v_3kc} Data type: String |
| requestedCompletionDate | Delivery date requested by the customer. Data type: String Format: ISO 8601 (Example: 2021-05-02T08:13:59.506Z) Stored in: expected_end_date field of the sn_ind_tmt_orm_order table. |
| requestedStartDate | Order start date requested by the customer. Data type: String Format: ISO 8601 (Example: 2021-05-02T08:13:59.506Z) Stored in: expected_start_date field of the sn_ind_tmt_orm_order table. |
| state | Current state of the order. Data type: String |
| productOrderItem | Items associated with the product order and their associated action. Stored in: Order Line Item \[sn_ind_tmt_orm_order_line_item\] Data type: Array of Objects "productOrderItem": [ { "action": "String", "actionReason": "String", "billingAccount": {Object}, "committedDueDate": "String", "externalProductInventory": [Array], "id": "String", "itemPrice": [Array], "payment": {Object}, "product": {Object}, "productOffering": {Object}, "productOrderItemRelationship": [Array], "quantity": Number, "@type": "String" } ] |
| productOrderItem.@type | Part of TMF Open API standard. Annotation for the product. This value is always <kbd class="ph userinput">ProductOrderItem</kbd>. Data type: String |
| productOrderItem.action | Action carried out on the product. Possible values: * add * change * delete * no-change * resume * suspend {#tmf_prod_order-GET-ord-productOrder__ul_i1d_pmv_3kc} Data type: String Stored in: action field of the Order Line Item \[sn_ind_tmt_orm_order_line_item\] table. |
| productOrderItem.actionReason | Description of the reason for the order line item. Data type: String Stored in: action_reason field of the Order Line Item \[sn_ind_tmt_orm_order_line_item\] table. |
| productOrderItem.billingAccount | Identifies the billing account and determines how the account is processed. * When you provide a billing.id that matches an existing billing account, the API uses the reference pattern to link the account to the order line item. Other billing account fields you include (name, status, active) are ignored. The system uses only the ID to find and link the existing billing account. * When you provide a billing.id that doesn't match an existing billing account, the API creates a new billing account with the provided ID as the external_id. Billing account fields (name, status, active) are required. {#tmf_prod_order-GET-ord-productOrder__ul_o1d_pmv_3kc} Data type: Object Reference structure: "billingAccount": { "id": "sys_id_billing_account_456", "@type": "BillingAccountRef" } Creation structure: "billingAccount": { "id": "billingID", "name": "Project 1234 Billing", "@type": "BillingAccountRef", "status": "Active", "active": true } |
| productOrderItem.billingAccount.@type | Returned for account creation. Must always be `BillingAccountRef`. This indicates that the object is a reference to a billing account record. Data type: String |
| productOrderItem.billingAccount.active | Returned only for account creation. Flag that indicates whether the billing account is active. This field is used when creating a new billing account, and is ignored when referencing an existing billing account. Valid values: * true: Billing account is active. * false: Billing account isn't active. {#tmf_prod_order-GET-ord-productOrder__ul_w1d_pmv_3kc} |
| productOrderItem.billingAccount.id | Sys_id or external_id of the billing account to reference or create inline. Data type: String |
| productOrderItem.billingAccount.name | Returned for account creation. Display name of the billing account. Example: "Main Office Billing", "Project 2024 Billing" Data type: String |
| productOrderItem.billingAccount.status | Returned for account creation. The status of the billing account. Possible values depend on your instance configuration. Example: "Active", "Inactive", "Suspended" Data type: String |
| productOrderItem.committedDueDate | Date and time when the action must be performed on the order line item. Data type: String Format: ISO 8601 (Example: 2021-05-02T08:13:59.506Z) Stored in: The committed_due_date field of the Order Line Item \[sn_ind_tmt_orm_order_line_item\] table. |
| productOrderItem.externalProductInventory.externalProductInventoryId | External ID to map to the product inventory. Data type: String Stored in: The external_inventory_id field of the Order Line Item \[sn_ind_tmt_orm_order_line_item\] table and the sn_prd_invt_external_id field of the sn_prd_invt_product_inventory table. |
| productOrderItem.externalProductInventory | External IDs which map to the product inventories created for the order. Data type: Array of Objects "externalProductInventory": [ { "externalProductInventoryId": "String" } ] |
| productOrderItem.id | Required. Unique identifier of the line item. Stored in: The external_id field of the Order Line Item \[sn_ind_tmt_orm_order_line_item\] table. Data type: String |
| productOrderItem.itemPrice | Price associated with the product. Stored in: sn_ind_tmt_orm_order Data type: Array of Objects "itemPrice": [ { "price": {Object}, "priceType": "String", "recurringChargePeriod": "String" } ] |
| productOrderItem.itemPrice.price | Description of the price of the associated product. Stored in: Order Line Item \[sn_ind_tmt_orm_order_line_item\] Data type: Object "price": { "taxIncludedAmount": {Object} } |
| productOrderItem.itemPrice.price.taxIncludedAmount | Description of the price of the associated product, including the tax. Stored in: Order Line Item \[sn_ind_tmt_orm_order_line_item\] Data type: Object "taxIncludedAmount": { "unit": "String", "value": Number } |
| productOrderItem.itemPrice.price.taxIncludedAmount.unit | Currency code in which the price is expressed. Stored in: The mrc or nrc field of the Order Line Item \[sn_ind_tmt_orm_order_line_item\] table Data type: String |
| productOrderItem.itemPrice.price.taxIncludedAmount.value | Price of product, including any tax. Stored in: The mrc or nrc field of the Order Line Item \[sn_ind_tmt_orm_order_line_item\] table Data type: Number |
| productOrderItem.itemPrice.priceType | Specifies whether the price of the item is recurring or non-recurring. Data type: String |
| productOrderItem.itemPrice.recurringChargePeriod | If the price is recurring, the recurring period, such as month. Data type: String |
| productOrderItem.payment | Details about the payment profile. Data type: Object "payment": { "id": "String", "paymentMethod": "String", "paymentMethodType": "String", "paymentReferenceId": "String" } |
| productOrderItem.payment.id | Sys_id or external_id of an existing payment profile record. Data type: String |
| productOrderItem.payment.paymentMethod | Returned for profile creation. A choice field representing the payment method category. This field is validated against configured payment method choices in your instance. Example: "Credit Card", "Bank Transfer", "Check", "Digital Wallet" Data type: String |
| productOrderItem.payment.paymentMethodType | Returned for profile creation. A choice field representing the specific payment method type. This field is validated against configured payment method type choices and is typically dependent on the selected paymentMethod. Example: Visa", "MasterCard", "American Express" for credit cards; "ACH" or "Wire" for bank transfers Data type: String |
| productOrderItem.payment.paymentReferenceId | Returned for profile creation. External reference identifier for the payment profile. Example: "REF-2024-001", "CARD-XXXX-5678" Data type: String |
| productOrderItem.product | Returned if productOrderItem.action is <kbd class="ph userinput">change</kbd> or <kbd class="ph userinput">delete</kbd>. Instance details of the product purchased by the customer. Stored in: Order Line Item \[sn_ind_tmt_orm_order_line_item\] Data type: Object "product": { "id": "String", "place": {Object}, "productCharacteristic": [Array], "productSpecification": {Object}, "relatedParty": {Object}, "@type": "String" } |
| productOrderItem.product.@type | Part of TMF Open API standard. Annotation for the product. This value is always <kbd class="ph userinput">Product</kbd>. Data type: String |
| productOrderItem.product.id | Returned if productOrderItem.action is <kbd class="ph userinput">change</kbd> or <kbd class="ph userinput">delete</kbd>. Unique identifier of the product sold. Table: In the sys_id or sn_ind_tmt_orm_external_id field of the Product Inventory \[sn_ind_tmt_orm_product_inventory\] table. Data type: String |
| productOrderItem.product.place | Maps of the locations on which to install the product. Stored in: Order Line Item \[sn_ind_tmt_orm_order_line_item\] Data type: Object "place": { "id": "String", "@type": "String" } |
| productOrderItem.product.place.@type | Part of TMF Open API standard. Annotation for order line item contact. This value is always <kbd class="ph userinput">Place</kbd>. Data type: String |
| productOrderItem.product.place.id | Sys_id of the associated location record. Table: Location \[cmn_location\] Stored in: The location field of the Order Line Item \[sn_ind_tmt_orm_order_line_item\] table. Data type: String |
| productOrderItem.product.productCharacteristic | Characteristics of the associated product. Stored in: sn_ind_tmt_orm_order_characteristic_value Data type: Array of Objects "productCharacteristic": [ { "name": "String", "previousValue": "String", "value": "String", "valueType": "String" } ] |
| productOrderItem.product.productCharacteristic.name | Name of the characteristic record to associated with the product. Data type: String Table: Characteristic \[sn_prd_pm_characteristic\] Stored in: The characteristics field of the sn_ind_tmt_orm_order_characteristic_value table. |
| productOrderItem.product.productCharacteristic.previousValue | Previous characteristic option values if the update is for change order. The request is a change order if the productOrderItem.action parameter is other than <kbd class="ph userinput">add</kbd>. For additional information on characteristic option values, see [Create product characteristics and characteristic options](https://www.servicenow.com/docs/access?context=som-product-config-add-characteristics&version=brazil&pubname=brazil-order-management&ft:locale=en-US). Data type: String Stored in: The previous_characteristic_option_value field of the sn_ind_tmt_orm_order_characteristic_value table. |
| productOrderItem.product.productCharacteristic.value | Characteristic option values associated with the product. For additional information on characteristic option values, see [Create product characteristics and characteristic options](https://www.servicenow.com/docs/access?context=som-product-config-add-characteristics&version=brazil&pubname=brazil-order-management&ft:locale=en-US). Data type: String Stored in: The characteristic_option_value field of the sn_ind_tmt_orm_order_characteristic_value table. |
| productOrderItem.product.productCharacteristic.valueType | Type of characteristic value. Accepted values: * `address` * `array.date` * `array.datetime` * `array.decimal` * `array.integer` * `array.object` * `array.single_line_text` * `attachment` * `checkbox` * `choice` * `date` * `date_time` * `decimal` * `duration` * `email` * `integer` * `object` * `single_line_text` * `yes_no` {#tmf_prod_order-GET-ord-productOrder__ul_gzj_drn_3hc} Data type: String |
| productOrderItem.product.productSpecification | Specification details associated with the product. Stored in: sn_ind_tmt_orm_order_line_item Data type: Object "productSpecification": { "id": "String", "internalVersion": "String", "name": "String", "version": "String", "@type": "String" } |
| productOrderItem.product.productSpecification.@type | Part of the TMF Open API standard. This value is always <kbd class="ph userinput">ProductSpecificationRef</kbd>. Data type: String |
| productOrderItem.product.productSpecification.id | Initial version or external ID of the product specification. The initial version is the sys_id of the first version of the specification. Data type: String Table: Product Specification \[sn_prd_pm_product_specification\] |
| productOrderItem.product.productSpecification.internalVersion | Internal version of the service specification. Matches the value of version. Data Type: String Table: In the version field of the Product Specification \[sn_prd_pm_product_specification\] table. |
| productOrderItem.product.productSpecification.name | Name of the product specification. Data type: String Table: Product Specification \[sn_prd_pm_product_specification\] |
| productOrderItem.product.productSpecification.version | External version of the service specification. Matches the value of internalVersion. Data Type: String Table: In the external_version field of the Product Specification \[sn_prd_pm_product_specification\] table. |
| productOrderItem.product.relatedParty | List of party roles linked to an Order Line Item Contact. Stored in: sn_ind_tmt_orm_order_line_item_contact Data type: Array of Objects "relatedParty": [ { "email": "String", "firstName": "String", "lastName": "String", "phone": "String", "@referredType": "String", "@type": "String" } ] |
| productOrderItem.product.relatedParty.@referredType | Required. Type of customer. Possible value: `OrderLineItemContact` Data type: String |
| productOrderItem.product.relatedParty.@type | Part of TMF Open API standard. Annotation for order line item contact. This value is always <kbd class="ph userinput">RelatedParty</kbd>. Data type: String |
| productOrderItem.product.relatedParty.email | Email address of the contact. Stored in: The email field of the sn_ind_tmt_orm_order_line_item_contact table. Data type: String |
| productOrderItem.product.relatedParty.firstName | First name of the contact. Stored in: The first_name field of the sn_ind_tmt_orm_order_line_item_contact table. Data type: String |
| productOrderItem.product.relatedParty.lastName | Last name of the contact. Stored in: The lastName field of the sn_ind_tmt_orm_order_line_item_contact table. Data type: String |
| productOrderItem.product.relatedParty.phone | Business phone number of the contact. Stored in: The business_phone field of the sn_ind_tmt_orm_order_line_item_contact table. Data type: String |
| productOrderItem.productOffering | Details of the product offering associated with the product. Stored in: sn_ind_tmt_orm_order_line_item Data type: Object "productOffering": { "id": "String", "internalVersion": "String", "name": "String", "version": "String" } |
| productOrderItem.productOffering.id | Initial version or external ID of the product offering. The initial version is the sys_id of the first version of the offering. Table: Product Offering \[sn_prd_pm_product_offering\] Data type: String |
| productOrderItem.productOffering.internalVersion | Version of the product offering. Data type: String Table: In the version field of the Product Offering \[sn_prd_pm_product_offering\] table. |
| productOrderItem.productOffering.name | Name of the product offering. Data type: String Table: Product Offering \[sn_prd_pm_product_offering\] |
| productOrderItem.productOffering.version | External version of the product offering. Data type: String Table: In the external_version field of the Product Offering \[sn_prd_pm_product_offering\] table. |
| productOrderItem.productOrderItem.quantity | Number of the associated items to order. Stored in: The quantity field of the sn_ind_tmt_orm_order table. Data type: Number |
| productOrderItem.productOrderItemRelationship | Required. List that describes the parent/child relationship between order items. Data type: Array of Objects "productOrderItemRelationship": [ { "id": "String", "relationshipType": "String" } ] Stored in: sn_ind_tmt_orm_order_line_item |
| productOrderItem.productOrderItemRelationship.id | Same as the productOrderItem.id value. Used for parent/child relationship Stored in: The parent_line_item field of the sn_ind_tmt_orm_order_line_item table. Data type: String |
| productOrderItem.productOrderItemRelationship.relationshipType | Type of relationship between the two line items. This information is used to identify relationship hierarchy. Possible values: * HasChild * HasParent {#tmf_prod_order-GET-ord-productOrder__ul_obd_pmv_3kc} Data type: String |
| productOrderItem.quantity | Number of items ordered. Data type: Number Stored in: The quantity field of the sn_ind_tmt_orm_order table. |
[Table 7. Response body parameters (JSON)]

{#tmf_prod_order-GET-ord-productOrder__POST-GET-response-table}  

### cURL request

This example retrieves all product orders.

    curl --location --request GET 'https://instance.service-now.com/api/sn_ind_tmt_orm/order/productOrder' \
    --user 'username':'password'

Response body.

    [
       {
          "id": "8d75939453126010a795ddeeff7b126a",
          "href": "/api/sn_ind_tmt_orm/order/productOrder/8d75939453126010a795ddeeff7b126a",
          "ponr": "false",
          "orderCurrency": "USD",
          "expectedCompletionDate": "2021-05-02T08:13:59.000Z",
          "requestedCompletionDate": "2021-05-02T08:13:59.000Z",
          "requestedStartDate": "2020-05-03T08:13:59.000Z",
          "channel": [
             {
                "id": "1",
                "name": "Agent Assist"
             }
          ],
          "note": [
             {
                "author": "System Administrator",
                "date": "2021-02-25T14:22:07.000Z",
                "text": "This is a TMF product order illustration no 2"
             },
             {
                "author": "System Administrator",
                "date": "2021-02-25T14:22:06.000Z",
                "text": "This is a TMF product order illustration"
             }
          ],
          "productOrderItem": [
             {
                "id": "POI130",
                "ponr": "false",
                "quantity": 1,
                "action": "add",
                "actionReason": "adding service package OLI",
                "itemPrice": [
                   {
                      "priceType": "recurring",
                      "price": {
                         "taxIncludedAmount": {
                            "unit": "USD",
                            "value": 20
                         }
                      }
                   },
                   {
                      "priceType": "nonRecurring",
                      "price": {
                         "taxIncludedAmount": {
                            "unit": "INR",
                            "value": 0
                         }
                      }
                   }
                ],
                "product": {
                   "@type": "Product",
                   "productCharacteristic": [
                      {
                         "name": "Security Type",
                         "valueType": "Choice",
                         "value": "Base",
                         "previousValue": ""
                      }
                   ],
                   "productSpecification": {
                      "id": "a6514bd3534560102f18ddeeff7b1247",
                      "name": "SD-WAN Security",
                      "version": "v1",
                      "internalVersion": "1",
                      "internalId": "a6514bd3534560102f18ddeeff7b1247",
                      "@type": "ProductSpecificationRef"
                   },
                   "relatedParty": [
                      {
                         "id": "4175939453126010a795ddeeff7b127d",
                         "name": "John Smith",
                         "email": "abc2@example.com",
                         "phone": "32456768",
                         "@type": "RelatedParty",
                         "@referredType": "OrderLineItemContact"
                      },
                      {
                         "id": "c175939453126010a795ddeeff7b127c",
                         "name": "Joe Doe",
                         "email": "abc@example.com",
                         "phone": "1234567890",
                         "@type": "RelatedParty",
                         "@referredType": "OrderLineItemContact"
                      }
                   ]
                },
                "productOffering": {
                   "id": "69017a0f536520103b6bddeeff7b127d",
                   "name": "Premium SD-WAN Offering",
                   "version": "v1",
                   "internalId": "69017a0f536520103b6bddeeff7b127d",
                   "internalVersion": "1"
                },
                "productOrderItemRelationship": [
                   {
                      "id": "POI100",
                      "relationshipType": "HasParent"
                   }
                ],
                "state": "in_progress",
                "version": "1",
                "@type": "ProductOrderItem"
             },
             {
                "id": "POI100",
                "ponr": "false",
                "quantity": 1,
                "action": "add",
                "itemPrice": [
                   {
                      "priceType": "recurring",
                      "price": {
                         "taxIncludedAmount": {
                            "unit": "INR",
                            "value": 0
                         }
                      }
                   },
                   {
                      "priceType": "nonRecurring",
                      "price": {
                         "taxIncludedAmount": {
                            "unit": "INR",
                            "value": 0
                         }
                      }
                   }
                ],
                "product": {
                   "@type": "Product",
                   "productSpecification": {
                      "id": "cfe5ef6a53702010cd6dddeeff7b12f6",
                      "name": "SD-WAN Service Package",
                      "version": "v1",
                      "internalVersion": "1",
                      "internalId": "cfe5ef6a53702010cd6dddeeff7b12f6",
                      "@type": "ProductSpecificationRef"
                   }
                },
                "productOffering": {
                   "id": "69017a0f536520103b6bddeeff7b127d",
                   "name": "Premium SD-WAN Offering",
                   "version": "v1",
                   "internalId": "69017a0f536520103b6bddeeff7b127d",
                   "internalVersion": "1"
                },
                "productOrderItemRelationship": [
                   {
                      "id": "POI130",
                      "relationshipType": "HasChild"
                   },
                   {
                      "id": "POI120",
                      "relationshipType": "HasChild"
                   },
                   {
                      "id": "POI110",
                      "relationshipType": "HasChild"
                   }
                ],
                "state": "in_progress",
                "version": "1",
                "@type": "ProductOrderItem"
             },
             {
                "id": "POI120",
                "ponr": "false",
                "quantity": 1,
                "action": "add",
                "itemPrice": [
                   {
                      "priceType": "recurring",
                      "price": {
                         "taxIncludedAmount": {
                            "unit": "USD",
                            "value": 20
                         }
                      }
                   },
                   {
                      "priceType": "nonRecurring",
                      "price": {
                         "taxIncludedAmount": {
                            "unit": "INR",
                            "value": 0
                         }
                      }
                   }
                ],
                "product": {
                   "@type": "Product",
                   "productCharacteristic": [
                      {
                         "name": "CPE Type",
                         "valueType": "Choice",
                         "value": "Physical",
                         "previousValue": ""
                      },
                      {
                         "name": "WAN Optimization",
                         "valueType": "Choice",
                         "value": "Advance",
                         "previousValue": ""
                      },
                      {
                         "name": "Routing",
                         "valueType": "Choice",
                         "value": "Premium",
                         "previousValue": ""
                      },
                      {
                         "name": "CPE Model",
                         "valueType": "Choice",
                         "value": "ASR",
                         "previousValue": ""
                      }
                   ],
                   "productSpecification": {
                      "id": "39b627aa53702010cd6dddeeff7b1202",
                      "name": "SD-WAN Edge Device",
                      "version": "v1",
                      "internalVersion": "1",
                      "internalId": "39b627aa53702010cd6dddeeff7b1202",
                      "@type": "ProductSpecificationRef"
                   },
                   "productRelationship": [
                      {
                         "id": "326d13f45b5620102dff5e92dc81c785",
                         "relationshipType": "Requires"
                      }
                   ]
                },
                "productOffering": {
                   "id": "69017a0f536520103b6bddeeff7b127d",
                   "name": "Premium SD-WAN Offering",
                   "version": "v1",
                   "internalVersion": "1",
                   "internalId": "69017a0f536520103b6bddeeff7b127d"
                },
                "productOrderItemRelationship": [
                   {
                      "id": "POI100",
                      "relationshipType": "HasParent"
                   },
                   {
                      "id": "POI110",
                      "relationshipType": "Requires"
                   }       
                ],
                "state": "in_progress",
                "version": "1",
                "@type": "ProductOrderItem"
             },
             {
                "id": "POI110",
                "ponr": "false",
                "quantity": 1,
                "action": "add",
                "itemPrice": [
                   {
                      "priceType": "recurring",
                      "price": {
                         "taxIncludedAmount": {
                            "unit": "INR",
                            "value": 0
                         }
                      }
                   },
                   {
                      "priceType": "nonRecurring",
                      "price": {
                         "taxIncludedAmount": {
                            "unit": "USD",
                            "value": 5
                         }
                      }
                   }
                ],
                "product": {
                   "@type": "Product",
                   "productCharacteristic": [
                      {
                         "name": "Tenancy",
                         "valueType": "Choice",
                         "value": "Base (10 site)",
                         "previousValue": ""
                      }
                   ],
                   "productSpecification": {
                      "id": "216663aa53702010cd6dddeeff7b12b5",
                      "name": "SD-WAN Controller",
                      "version": "v1",
                      "internalVersion": "1",
                      "internalId": "216663aa53702010cd6dddeeff7b12b5",
                      "@type": "ProductSpecificationRef"
                   },
                   "place": {
                      "id": "25ab9c4d0a0a0bb300f7dabdc0ca7c1c",
                      "@type": "Place"
                   }
                },
                "productOffering": {
                   "id": "69017a0f536520103b6bddeeff7b127d",
                   "name": "Premium SD-WAN Offering",
                   "version": "v1",
                   "internalId": "69017a0f536520103b6bddeeff7b127d",
                   "internalVersion": "1"
                },
                "productOrderItemRelationship": [
                   {
                      "id": "POI100",
                      "relationshipType": "HasParent"
                   }
                ],
                "state": "in_progress",
                "version": "1",
                "@type": "ProductOrderItem"
             }
          ],
          "relatedParty": [
            {
                "id": "eaf68911c35420105252716b7d40ddde",
                "name": "Sally Thomas",
                "@type": "RelatedParty",
                "@referredType": "CustomerContact"
            },
            {
                "id": "ffc68911c35420105252716b7d40dd55",
                "name": "Funco Intl",
                "@type": "RelatedParty",
                "@referredType": "Customer"
            },
            {
                "id": "59f16de1c3b67110ff00ed23a140dd9e",
                "name": "Funco External",
                "@type": "RelatedParty",
                "@referredType": "Consumer"
            }
        ],
          "state": "in_progress",
          "version": "1",
          "@type": "ProductOrder"
       }
    ]

GET response with TMF 622 V3 parameters (relatedParty, billingAccount and payment)

    [
      {
        "id": "8d75939453126010a795ddeeff7b126a",
        "href": "/api/sn_ind_tmt_orm/order/productOrder/8d75939453126010a795ddeeff7b126a",
        "ponr": "false",
        "orderCurrency": "USD",
        "expectedCompletionDate": "2021-05-02T08:13:59.000Z",
        "requestedCompletionDate": "2021-05-02T08:13:59.000Z",
        "requestedStartDate": "2020-05-03T08:13:59.000Z",
        "channel": [
          {
            "id": "1",
            "name": "Agent Assist"
          }
        ],
        "note": [
          {
            "author": "System Administrator",
            "date": "2021-02-25T14:22:07.000Z",
            "text": "This is a TMF product order illustration no 2"
          },
          {
            "author": "System Administrator",
            "date": "2021-02-25T14:22:06.000Z",
            "text": "This is a TMF product order illustration"
          }
        ],
        "productOrderItem": [
          {
            "id": "POI130",
            "ponr": "false",
            "quantity": 1,
            "action": "add",
            "actionReason": "adding service package OLI",
            "billingAccount": {
              "id": "sys_id_ba_001",
              "name": "Funco Intl - Main Billing",
              "@type": "BillingAccountRef",
              "status": "Active",
              "active": true
            },
            "payment": {
              "id": "sys_id_payment_001",
              "paymentMethod": "Credit Card",
              "paymentMethodType": "Visa",
              "paymentReferenceId": "REF-2024-001"
            },
            "itemPrice": [
              {
                "priceType": "recurring",
                "price": {
                  "taxIncludedAmount": {
                    "unit": "USD",
                    "value": 20
                  }
                }
              },
              {
                "priceType": "nonRecurring",
                "price": {
                  "taxIncludedAmount": {
                    "unit": "INR",
                    "value": 0
                  }
                }
              }
            ],
            "product": {
              "@type": "Product",
              "productCharacteristic": [
                {
                  "name": "Security Type",
                  "valueType": "Choice",
                  "value": "Base",
                  "previousValue": ""
                }
              ],
              "productSpecification": {
                "id": "a6514bd3534560102f18ddeeff7b1247",
                "name": "SD-WAN Security",
                "version": "v1",
                "internalVersion": "1",
                "internalId": "a6514bd3534560102f18ddeeff7b1247",
                "@type": "ProductSpecificationRef"
              },
              "relatedParty": [
                {
                  "id": "4175939453126010a795ddeeff7b127d",
                  "name": "John Smith",
                  "email": "abc2@example.com",
                  "phone": "32456768",
                  "@type": "RelatedParty",
                  "@referredType": "OrderLineItemContact"
                },
                {
                  "id": "c175939453126010a795ddeeff7b127c",
                  "name": "Joe Doe",
                  "email": "abc@example.com",
                  "phone": "1234567890",
                  "@type": "RelatedParty",
                  "@referredType": "OrderLineItemContact"
                }
              ]
            },
            "productOffering": {
              "id": "69017a0f536520103b6bddeeff7b127d",
              "name": "Premium SD-WAN Offering",
              "version": "v1",
              "internalId": "69017a0f536520103b6bddeeff7b127d",
              "internalVersion": "1"
            },
            "productOrderItemRelationship": [
              {
                "id": "POI100",
                "relationshipType": "HasParent"
              }
            ],
            "state": "in_progress",
            "version": "1",
            "@type": "ProductOrderItem"
          },
          {
            "id": "POI100",
            "ponr": "false",
            "quantity": 1,
            "action": "add",
            "billingAccount": {
              "id": "sys_id_ba_002",
              "name": "Funco Intl - Service Billing",
              "@type": "BillingAccountRef",
              "status": "Active",
              "active": true
            },
            "payment": {
              "id": "sys_id_payment_002",
              "paymentMethod": "Bank Transfer",
              "paymentMethodType": "ACH",
              "paymentReferenceId": "REF-2024-002"
            },
            "itemPrice": [
              {
                "priceType": "recurring",
                "price": {
                  "taxIncludedAmount": {
                    "unit": "INR",
                    "value": 0
                  }
                }
              },
              {
                "priceType": "nonRecurring",
                "price": {
                  "taxIncludedAmount": {
                    "unit": "INR",
                    "value": 0
                  }
                }
              }
            ],
            "product": {
              "@type": "Product",
              "productSpecification": {
                "id": "cfe5ef6a53702010cd6dddeeff7b12f6",
                "name": "SD-WAN Service Package",
                "version": "v1",
                "internalVersion": "1",
                "internalId": "cfe5ef6a53702010cd6dddeeff7b12f6",
                "@type": "ProductSpecificationRef"
              }
            },
            "productOffering": {
              "id": "69017a0f536520103b6bddeeff7b127d",
              "name": "Premium SD-WAN Offering",
              "version": "v1",
              "internalId": "69017a0f536520103b6bddeeff7b127d",
              "internalVersion": "1"
            },
            "productOrderItemRelationship": [
              {
                "id": "POI130",
                "relationshipType": "HasChild"
              },
              {
                "id": "POI120",
                "relationshipType": "HasChild"
              },
              {
                "id": "POI110",
                "relationshipType": "HasChild"
              }
            ],
            "state": "in_progress",
            "version": "1",
            "@type": "ProductOrderItem"
          },
          {
            "id": "POI120",
            "ponr": "false",
            "quantity": 1,
            "action": "add",
            "billingAccount": {
              "id": "sys_id_ba_003",
              "name": "Funco Intl - Equipment Billing",
              "@type": "BillingAccountRef",
              "status": "Active",
              "active": true
            },
            "payment": {
              "id": "sys_id_payment_003",
              "paymentMethod": "Credit Card",
              "paymentMethodType": "MasterCard",
              "paymentReferenceId": "REF-2024-003"
            },
            "itemPrice": [
              {
                "priceType": "recurring",
                "price": {
                  "taxIncludedAmount": {
                    "unit": "USD",
                    "value": 20
                  }
                }
              },
              {
                "priceType": "nonRecurring",
                "price": {
                  "taxIncludedAmount": {
                    "unit": "INR",
                    "value": 0
                  }
                }
              }
            ],
            "product": {
              "@type": "Product",
              "productCharacteristic": [
                {
                  "name": "CPE Type",
                  "valueType": "Choice",
                  "value": "Physical",
                  "previousValue": ""
                },
                {
                  "name": "WAN Optimization",
                  "valueType": "Choice",
                  "value": "Advance",
                  "previousValue": ""
                },
                {
                  "name": "Routing",
                  "valueType": "Choice",
                  "value": "Premium",
                  "previousValue": ""
                },
                {
                  "name": "CPE Model",
                  "valueType": "Choice",
                  "value": "ASR",
                  "previousValue": ""
                }
              ],
              "productSpecification": {
                "id": "39b627aa53702010cd6dddeeff7b1202",
                "name": "SD-WAN Edge Device",
                "version": "v1",
                "internalVersion": "1",
                "internalId": "39b627aa53702010cd6dddeeff7b1202",
                "@type": "ProductSpecificationRef"
              },
              "productRelationship": [
                {
                  "id": "326d13f45b5620102dff5e92dc81c785",
                  "relationshipType": "Requires"
                }
              ]
            },
            "productOffering": {
              "id": "69017a0f536520103b6bddeeff7b127d",
              "name": "Premium SD-WAN Offering",
              "version": "v1",
              "internalVersion": "1",
              "internalId": "69017a0f536520103b6bddeeff7b127d"
            },
            "productOrderItemRelationship": [
              {
                "id": "POI100",
                "relationshipType": "HasParent"
              },
              {
                "id": "POI110",
                "relationshipType": "Requires"
              }
            ],
            "state": "in_progress",
            "version": "1",
            "@type": "ProductOrderItem"
          },
          {
            "id": "POI110",
            "ponr": "false",
            "quantity": 1,
            "action": "add",
            "billingAccount": {
              "id": "sys_id_ba_002",
              "name": "Funco Intl - Service Billing",
              "@type": "BillingAccountRef",
              "status": "Active",
              "active": true
            },
            "itemPrice": [
              {
                "priceType": "recurring",
                "price": {
                  "taxIncludedAmount": {
                    "unit": "INR",
                    "value": 0
                  }
                }
              },
              {
                "priceType": "nonRecurring",
                "price": {
                  "taxIncludedAmount": {
                    "unit": "USD",
                    "value": 5
                  }
                }
              }
            ],
            "product": {
              "@type": "Product",
              "productCharacteristic": [
                {
                  "name": "Tenancy",
                  "valueType": "Choice",
                  "value": "Base (10 site)",
                  "previousValue": ""
                }
              ],
              "productSpecification": {
                "id": "216663aa53702010cd6dddeeff7b12b5",
                "name": "SD-WAN Controller",
                "version": "v1",
                "internalVersion": "1",
                "internalId": "216663aa53702010cd6dddeeff7b12b5",
                "@type": "ProductSpecificationRef"
              },
              "place": {
                "id": "25ab9c4d0a0a0bb300f7dabdc0ca7c1c",
                "@type": "Place"
              }
            },
            "productOffering": {
              "id": "69017a0f536520103b6bddeeff7b127d",
              "name": "Premium SD-WAN Offering",
              "version": "v1",
              "internalId": "69017a0f536520103b6bddeeff7b127d",
              "internalVersion": "1"
            },
            "productOrderItemRelationship": [
              {
                "id": "POI100",
                "relationshipType": "HasParent"
              }
            ],
            "state": "in_progress",
            "version": "1",
            "@type": "ProductOrderItem"
          }
        ],
        "relatedParty": [
          {
            "role": "Contact",
            "@type": "Contact",
            "partyOrPartyRole": {
              "@type": "PartyRef",
              "id": "eaf68911c35420105252716b7d40ddde",
              "name": "Sally Thomas",
              "email": "sally.thomas@funcointl.com"
            }
          },
          {
            "role": "Account",
            "@type": "Account",
            "partyOrPartyRole": {
              "@type": "PartyRef",
              "id": "ffc68911c35420105252716b7d40dd55",
              "name": "Funco Intl"
            }
          },
          {
            "role": "Consumer",
            "@type": "Consumer",
            "partyOrPartyRole": {
              "@type": "PartyRef",
              "id": "59f16de1c3b67110ff00ed23a140dd9e",
              "name": "Funco External"
            }
          }
        ],
        "state": "in_progress",
        "version": "1",
        "@type": "ProductOrder"
      }
    ]

### Reading Payment Information from Orders {#tmf_prod_order-GET-ord-productOrder__id_c4w_1jz_hkc}

When you retrieve an order using GET or LIST operations, the payment object is included in the order line item response only if a payment profile is actively linked. If an order line item (OLI) does not have a linked payment
profile, the payment field is not included in the response. When the payment object is present, it contains all four fields (id, paymentMethod, paymentMethodType, paymentReferenceId) representing the complete profile details.

Example GET response:

    {
      "productOrder": {
        "id": "order_001",
        "orderItem": [
          {
            "id": "order_line_001",
            "product": {
              "id": "prod_123"
            },
            "billingAccount": {
              "id": "ba_456"
            },
            "payment": {
              "id": "sys_id_payment_profile_123",
              "paymentMethod": "Credit Card",
              "paymentMethodType": "Visa",
              "paymentReferenceId": "REF-2024-001"
            }
          }
        ]
      }
    }

Example GET response without payment profile:

    {
      "productOrder": {
        "id": "order_003",
        "orderItem": [
          {
            "id": "order_line_003",
            "product": {
              "id": "prod_789"
            },
            "billingAccount": {
              "id": "ba_999"
            }
          }
        ]
      }
    }

### Reading Billing Account Information from Orders {#tmf_prod_order-GET-ord-productOrder__id_wql_llz_hkc}

When you retrieve an order using GET or LIST operations, the billingAccount field is included in the order line item response with the system ID reference and any available billing account details.

Example GET response with billing account reference:

    {
      "productOrder": {
        "id": "order_001",
        "orderItem": [
          {
            "id": "order_line_001",
            "product": {
              "id": "prod_123"
            },
            "billingAccount": {
              "id": "sys_id_billing_account_456",
              "name": "Project 2024 Billing",
              "@type": "BillingAccountRef",
              "status": "Active",
              "active": true
            }
          }
        ]
      }
    }

Example GET response with newly created billing account:

    {
      "productOrder": {
        "id": "order_002",
        "orderItem": [
          {
            "id": "order_line_002",
            "product": {
              "id": "prod_456"
            },
            "billingAccount": {
              "id": "sys_id_billing_account_789",
              "name": "Project 2024 Billing",
              "@type": "BillingAccountRef",
              "status": "Active",
              "active": true
            }
          }
        ]
      }
    }

## Product Order Open API - GET /sn_ind_tmt_orm/productorder {#ariaid-title3}

Retrieves all product orders.
Important:  
Starting with the Tokyo release, this endpoint is deprecated. The new version of this endpoint is [Product Order Open API - GET /sn_ind_tmt_orm/order/productOrder](https://www.servicenow.com/docs/IVFs4Ak4R7ApMei_YNZJqw#tmf_prod_order-GET-ord-productOrder "Retrieves all product orders.").  
This endpoint retrieves order information from the following tables:

* Customer Order \[sn_ind_tmt_orm_order\]
* Order Characteristic \[sn_ind_tmt_orm_order_characteristic_value\]
* Order Line Item \[sn_ind_tmt_orm_order_line_item\]
* Order Line Item Contact \[sn_ind_tmt_orm_order_line_item_contact\]
{#tmf_prod_order-GET-productorder__ul_lxc_kxm_t4b}

### v3 updates for GET/LIST operations {#tmf_prod_order-GET-productorder__v3-updates}

When you retrieve product orders using GET or LIST operations in TMF 622 V3, the response now includes
payment profile details and billing account information for each order line item. These new fields provide complete visibility into the payment methods and billing relationships associated with your orders, enabling you to manage
billing, fulfillment, and reconciliation processes with comprehensive order data in a single API call.

### URL format {#tmf_prod_order-GET-productorder__section_mbm_2ct_t4b}

Default URL:
/api/sn_ind_tmt_orm/productorder

### Supported request parameters

{#tmf_prod_order-GET-productorder__table_ofr_vgy_fsb__entry__2}{#tmf_prod_order-GET-productorder__version-not_optional-RESTAPI}

| Name | Description |
|-|-|
| api_version | Optional. Version of the endpoint to access. For example, <kbd class="ph userinput">v1</kbd> or <kbd class="ph userinput">v2</kbd>. Only specify this value to use an endpoint version other than the latest. Data type: String |
[Table 8. Path parameters]

{#tmf_prod_order-GET-productorder__table_ofr_vgy_fsb} {#tmf_prod_order-GET-productorder__table_pfr_vgy_fsb__entry__2}

| Name | Description |
|-|-|
| account | Filter product orders by the associated account. Use this to retrieve all orders for a specific customer account or business unit. Data type: String |
| consumer (relatedParty) | Filter product orders by the consumer or end-user. Use this to retrieve orders for a specific consumer within a customer account, useful in multi-party or wholesale scenarios. Data type: String |
| contact | Filter product orders by an associated contact. Use this to find all orders linked to a specific person (like order coordinator, and billing contact). Data type: String |
| externalId | Filter product orders by external identifier. Use this to locate orders using identifiers from external systems or legacy integrations (like legacy order numbers, or third-party reference IDs). Data type: String |
| fields | List of fields to return in the response. Invalid fields are ignored. Data type: String Default: All fields returned. |
| limit | Maximum number of records to return. For requests that exceed this number of records, use the offset parameter to paginate record retrieval. Data type: Number Default: 20 Maximum: 100 |
| offset | Starting index at which to begin retrieving records. Use this value to paginate record retrieval. This functionality enables the retrieval of all records, regardless of the number of records, in small manageable chunks. Data type: Number Default: 0 |
| state | Filter orders by state. Only orders with a state matching the value of this parameter are returned in the response. Data type: String Default: Don't order by state. |
[Table 9. Query parameters]

{#tmf_prod_order-GET-productorder__table_pfr_vgy_fsb} {#tmf_prod_order-GET-productorder__table_xcm_cvr_nsb__entry__2}

| Name | Description |
|-|-|
| None |   |
[Table 10. Request body parameters (JSON)]

{#tmf_prod_order-GET-productorder__table_xcm_cvr_nsb}

### Headers

The following request and response headers apply to this HTTP
action only, or apply to this action in a distinct way. For a list of general headers used
in the REST API, see [Supported REST API headers](https://www.servicenow.com/docs/TSHwMH5MZNTdV2wXSUhSiw "REST (REpresentational State Transfer) is a simple stateless architecture that provides standards between computer systems on the web, making it easier for them to communicate with each other.").
{#tmf_prod_order-GET-productorder__table_kqy_wgy_fsb__entry__2}

| Header | Description |
|-|-|
| None |   |
[Table 11. Request headers]

{#tmf_prod_order-GET-productorder__table_kqy_wgy_fsb} {#tmf_prod_order-GET-productorder__table_h4r_fxr_nsb__entry__2}{#tmf_prod_order-GET-productorder__content-range-row}{#tmf_prod_order-GET-productorder__content-type-row}{#tmf_prod_order-GET-productorder__links-pagination-row}{#tmf_prod_order-GET-productorder__x-total-count-descr}

| Header | Description |
|-|-|
| Content-Range | Range of content returned in a paginated call. For example, if `offset=2` and `limit=3`, the value of the Content-Range header is `items 3-5`. |
| Content-Type | Data format of the response body. Only supports application/json. |
| Link | Contains the following links to navigate through query results. * first * last * next * previous {#tmf_prod_order-GET-productorder__ul_zzk_sdm_lsb} |
| X-Total-Count | For paginated queries, this header specifies the total number of records available on the server. |
[Table 12. Response headers]

{#tmf_prod_order-GET-productorder__table_h4r_fxr_nsb}

### Status codes

The following status codes apply to this HTTP action. For a
list of possible status codes used in the REST API, see [REST API HTTP response
codes](https://www.servicenow.com/docs/TSHwMH5MZNTdV2wXSUhSiw "REST (REpresentational State Transfer) is a simple stateless architecture that provides standards between computer systems on the web, making it easier for them to communicate with each other.").
{#tmf_prod_order-GET-productorder__table_wdl_3xr_nsb__entry__2}{#tmf_prod_order-GET-productorder__tmf-get-status-200-p}{#tmf_prod_order-GET-productorder__tmf-get-status-206-entry}{#tmf_prod_order-GET-productorder__tmf-get-status-400-entry}{#tmf_prod_order-GET-productorder__tmf-get-status-404-entry}

| Status code | Description |
|-|-|
| 200 | Request successfully processed. Full resource returned in response (no pagination). |
| 206 | Partial resource returned in response (with pagination). |
| 400 | Bad request. Possible reasons: * Invalid path parameter * Invalid URI {#tmf_prod_order-GET-productorder__ul_rys_1gy_fsb} |
| 404 | Record not found. No records matching the query parameters are found in the table. |
[Table 13. Status codes]

{#tmf_prod_order-GET-productorder__table_wdl_3xr_nsb}

### Response body parameters (JSON) {#tmf_prod_order-GET-productorder__section_qrd_pwv_3kc}

{#tmf_prod_order-GET-productorder__POST-GET-response-table__entry__2}

| Name | Description |
|-|-|
| @type | Part of TMF Open API standard. Annotation for the product. This value is always <kbd class="ph userinput">ProductOrder</kbd>. This information is not stored. Data type: String |
| channel | List of channels to use for selling the products. Stored in: sn_ind_tmt_orm_order Data type: Array of Objects "channel": [ { "id": "String", "name": "String" } ] |
| channel.id | Required. Unique identifier of the channel to use to sell the associated products. Data type: String Stored in: The channel field of the sn_ind_tmt_orm_order table. |
| channel.name | Name of the channel to use to sell the associated products. Possible channel names are defined on the list tab in the Channel Dictionary Entry of the sn_ind_tmt_orm_order table. Data type: String |
| committedDueDate | Date and time when the action must be performed on the order. Stored in: committed_due_date field of the sn_ind_tmt_orm_order table. Format: ISO 8601 (Example: 2021-05-02T08:13:59.506Z) Data type: String |
| externalId | External identifier for the customer order, such as a purchase order number. This value is determined by an external system. Stored in: external_id field of the sn_ind_tmt_orm_order table. Data type: String |
| externalSystem | External system identifier that originated the order request, appended with `TMF622`. Data Type: String |
| href | Relative link to the resource record. Data type: String |
| note | Additional notes made by the customer when ordering. Stored in: sn_ind_tmt_orm_order Data type: Array of Objects "note": [ { "text": "String" } ] |
| note.text | Additional notes/comments made by the customer while ordering. Stored in: The comments field of the sn_ind_tmt_orm_order table. Data type: String |
| orderCurrency | Currency code for the order and order line items. Data type: String |
| orderDate | Date and time when the order was created. Data type: String Format: ISO 8601 (Example: 2021-05-02T08:13:59.506Z) |
| orderId | Sys_id of the order. Stored in the Inbound Queue \[sn_tmt_core_inbound_queue\] table on a schedule to be processed. Data type: String |
| productOrderItem | Items associated with the product order and their associated action. Data type: Array of Objects "productOrderItem": [ { "action": "String", "actionReason": "String", "billingAccount": {Object}, "committedDueDate": "String", "externalProductInventory": [Array], "id": "String", "itemPrice": [Array], "payment": {Object}, "product": {Object}, "productOffering": {Object}, "productOrderItemRelationship": [Array], "quantity": Number, "@type": "String" } ] Stored in: Order Line Item \[sn_ind_tmt_orm_order_line_item\] |
| productOrderItem.@type | Part of TMF Open API standard. Annotation for the product. This value is always <kbd class="ph userinput">ProductOrderItem</kbd>. This information is not stored. Data type: String |
| productOrderItem.action | Required. Action to carry out on the product. Possible actions are defined on the list tab in the Action Dictionary Entry of the sn_ind_tmt_orm_order_line_item table. Possible values: * add * change Note: Submitting a change payload that includes a new service location via productOrderItem.product.place.id is processed as a move order. * delete * no-change * resume * suspend {#tmf_prod_order-GET-productorder__ul_dd3_m3v_3kc} Data type: String Stored in: The action field of the Order Line Item \[sn_ind_tmt_orm_order_line_item\] table. |
| productOrderItem.actionReason | Optional. Description of the reason for the order line item. Data type: String Stored in: The action_reason field of the Order Line Item \[sn_ind_tmt_orm_order_line_item\] table. |
| productOrderItem.billingAccount | Required. Identifies the billing account and determines how the account is processed. * When an existing billing account ID is passed, the API returns just the matching account's sys_id and type. * When a billing account ID is passed that doesn't match an existing record, the API creates a new billing account with the provided ID as the external_id. The object includes conditional attributes associated with the new record. {#tmf_prod_order-GET-productorder__ul_ed3_m3v_3kc} Data type: Object Example reference structure: "billingAccount": { "id": "sys_id_billing_account_456", "@type": "BillingAccountRef" } Example creation structure: "billingAccount": { "id": "billingID", "name": "Project 1234 Billing", "@type": "BillingAccountRef", "status": "Active", "active": true } |
| productOrderItem.billingAccount.@type | Conditional, required only for account creation. Must always be `BillingAccountRef`. This indicates that the object is a reference to a billing account record. Data type: String |
| productOrderItem.billingAccount.active | Conditional, required only for account creation. Flag that indicates whether the billing account is active. This field is used when creating a new billing account, and is ignored when referencing an existing billing account. Valid values: * true: Billing account is active. * false: Billing account isn't active. {#tmf_prod_order-GET-productorder__ul_fd3_m3v_3kc} Default: If not provided during creation, the system uses the default active value configured in your instance |
| productOrderItem.billingAccount.id | Required. Sys_id or external_id of the billing account to reference or create inline. Data type: String |
| productOrderItem.billingAccount.name | Conditional, required only for account creation. Display name of the billing account. This field is used when creating a new billing account. If not provided during creation, the system uses a default name pattern. This field is ignored when referencing an existing billing account. Example: "Main Office Billing", "Project 2024 Billing" Data type: String |
| productOrderItem.billingAccount.status | Conditional, required only for account creation. The status of the billing account. This field is used when creating a new billing account. Valid values depend on your instance configuration. If not provided during creation, the system uses the default status value configured in your instance. This field is ignored when referencing an existing billing account. Example: "Active", "Inactive", "Suspended" Data type: String |
| productOrderItem.committedDueDate | Optional. Date and time when the action must be performed on the order line item. Data type: String Format: ISO 8601 (Example: 2021-05-02T08:13:59.506Z) Stored in: The committed_due_date field of the Order Line Item \[sn_ind_tmt_orm_order_line_item\] table. |
| productOrderItem.externalProductInventory.externalProductInventoryId | External ID to map to the product inventory. Data type: String Stored in: The external_inventory_id field of the Order Line Item \[sn_ind_tmt_orm_order_line_item\] table and the sn_prd_invt_external_id field of the sn_prd_invt_product_inventory table. |
| productOrderItem.externalProductInventory | Conditional. If supplied, each entry requires externalProductInventoryId. External IDs to map to the product inventories created for the order. Data type: Array of Objects "externalProductInventory": [ { "externalProductInventoryId": "String" } ] |
| productOrderItem.id | Required. Unique identifier of the line item. Data type: String Stored in: The external_id field of the Order Line Item \[sn_ind_tmt_orm_order_line_item\] table. Maximum length: 40 Default: empty string |
| productOrderItem.itemPrice | Price associated with the product. Data type: Array of Objects "itemPrice": [ { "price": {Object}, "priceType": "String", "recurringChargePeriod": "String" } ] Stored in: sn_ind_tmt_orm_order Default: empty string |
| productOrderItem.itemPrice.price | Description of the price of the associated product. Data type: Object "price": { "taxIncludedAmount": {Object} } Stored in: Order Line Item \[sn_ind_tmt_orm_order_line_item\] Default: empty string |
| productOrderItem.itemPrice.price.taxIncludedAmount | Description of the price of the associated product, including the tax. Data type: Object "taxIncludedAmount": { "unit": "String", "value": Number } Stored in: Order Line Item \[sn_ind_tmt_orm_order_line_item\] |
| productOrderItem.itemPrice.price.taxIncludedAmount.unit | Currency code in which the price is expressed. Data type: String Stored in: The mrc or nrc field of the Order Line Item \[sn_ind_tmt_orm_order_line_item\] table |
| productOrderItem.itemPrice.price.taxIncludedAmount.value | Price of product, including any tax. Data type: Number Stored in: The mrc or nrc field of the Order Line Item \[sn_ind_tmt_orm_order_line_item\] table |
| productOrderItem.itemPrice.priceType | Specifies whether the price of the item is recurring or non-recurring. Data type: String |
| productOrderItem.itemPrice.recurringChargePeriod | If the price is recurring, the recurring period, such as month. Data type: String |
| productOrderItem.payment | Required. Identifies the payment profile. * If the passed profile ID already exists, the API returns just the matching payment profile's sys_Id. * If the passed ID doesn't already exist, the API returns the new payment profile's sys_id and associated attributes. {#tmf_prod_order-GET-productorder__ul_gd3_m3v_3kc} Data type: Object Reference structure: "payment": { "id": "String" } Creation structure: "payment": { "id": "String", "paymentMethod": "String", "paymentMethodType": "String", "paymentReferenceId": "String" } See the 'Examples' section for POST requests demonstrating both reference and creation patterns. |
| productOrderItem.payment.id | Sys_id or external_id of an existing payment profile record. Data type: String |
| productOrderItem.payment.paymentMethod | Returned only for profile creation. A choice field representing the payment method category. This field is validated against configured payment method choices in your instance. This field is ignored when referencing an existing profile. Example: "Credit Card", "Bank Transfer", "Check", "Digital Wallet" Data type: String |
| productOrderItem.payment.paymentMethodType | Returned only for profile creation. A choice field representing the specific payment method type. Example: Visa", "MasterCard", "American Express" for credit cards; "ACH" or "Wire" for bank transfers Data type: String |
| productOrderItem.payment.paymentReferenceId | Returned only for profile creation. An external reference identifier for the payment profile. Example: "REF-2024-001", "CARD-XXXX-5678" Data type: String |
| productOrderItem.product | Instance details of the product purchased by the customer. Stored in: Order Line Item \[sn_ind_tmt_orm_order_line_item\] Data type: Object "product": { "id": "String", "place": {Object}, "productCharacteristic": [Array], "productSpecification": {Object}, "relatedParty": {Object}, "@type": "String" } |
| productOrderItem.product.@type | Part of TMF Open API standard. Annotation for the product. This value is always <kbd class="ph userinput">Product</kbd>. Data type: String |
| productOrderItem.product.id | Unique identifier of the product sold. Data type: String Table: In the sys_id or sn_ind_tmt_orm_external_id field of the Product Inventory \[sn_ind_tmt_orm_product_inventory\] table. |
| productOrderItem.product.place | Maps of the locations on which to install the product. Data type: Object "place": { "id": "String", "@type": "String" } Stored in: Order Line Item \[sn_ind_tmt_orm_order_line_item\] |
| productOrderItem.product.place.@type | Part of TMF Open API standard. Annotation for order line item contact. This value is always <kbd class="ph userinput">Place</kbd>. Data type: String |
| productOrderItem.product.place.id | Required. Sys_id of the associated location record. Data type: String Table: Location \[cmn_location\] Stored in: The location field of the Order Line Item \[sn_ind_tmt_orm_order_line_item\] table. |
| productOrderItem.product.productCharacteristic | Characteristics of the associated product. Stored in: sn_ind_tmt_orm_order_characteristic_value Data type: Array of Objects "productCharacteristic": [ { "name": "String", "previousValue": "String", "value": "String", "valueType": "String" } ] |
| productOrderItem.product.productCharacteristic.name | Name of the characteristic record to associated with the product. Data type: String Table: Characteristic \[sn_prd_pm_characteristic\] Stored in: The characteristics field of the sn_ind_tmt_orm_order_characteristic_value table. |
[...]
